Skip to main content
PUT
/
parties
/
me
Update party
curl --request PUT \
  --url https://api.natural.co/parties/me \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "attributes": {
      "displayName": "<string>"
    }
  }
}
'
{
  "data": {
    "id": "pty_019cd1798d617f65a79cb965dda9eac3",
    "type": "party",
    "attributes": {
      "partyType": "ORG",
      "legalName": "Natural AI, Inc",
      "status": "ACTIVE",
      "createdAt": "2024-01-01T00:00:00Z",
      "updatedAt": "2024-01-15T10:30:00Z",
      "displayName": "Natural",
      "primaryEmail": "contact@natural.co",
      "primaryPhone": "+1-555-555-0100",
      "addressLine1": "123 Main Street",
      "addressCity": "San Francisco",
      "addressState": "CA",
      "addressPostalCode": "94105",
      "addressCountry": "US",
      "createdBy": null
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Agent-ID
string | null

Agent ID (agt_xxx) identifying which agent is making the request.

X-Instance-ID
string | null

Required when X-Agent-ID is present. Session or conversation ID for agent observability.

Maximum string length: 1024

Body

application/json
data
PartyUpdateData · object
required

Response

Successful Response

data
PartyResource · object
required